program
use sep
implicit none

real,   allocatable,dimension(:)  ::
integer  :: n1,n2,n3
real     :: d1,d2,d3,o1,o2,o3
integer  :: i

call sep_init()
call from_history('n1',n1);call from_history('n2',n2);call from_history('n3',n3)
call from_history('d1',d1);call from_history('d2',d2);call from_history('d3',d3)
call from_history('o1',o1);call from_history('o2',o2);call from_history('o3',o3)
   
call to_history('n1',n1);call to_history('n2',n2);call to_history('n3',n3)
call to_history('d1',d1);call to_history('d2',d2);call to_history('d3',d3)
call to_history('o1',o1);call to_history('o2',o2);call to_history('o3',o3)

call sep_close()

call exit (0) 
end program
